# $Revision: 1.55 $, $Date: 2005/11/30 00:25:23 $
# TODO:
# - added bcond with atlas
# - make demos works (doesn't see SCI path)
# - use system pvm
# - amd64 version(problem with -fPIC)
#
# Conditional build:
%bcond_without	gtk2		# without gtk2

Summary:	Program for scientifical and technical computations, compatible with Matlab
Summary(pl):	Program do oblicze naukowo-inynierskich, zgodny ze synnym Matlabem
Summary(pt_BR):	Linguagem de alto-nvel para computao numrica
Name:		scilab
Version:	3.1.1
Release:	3
License:	distributable
Group:		Applications/Math
Source0:	http://scilabsoft.inria.fr/download/stable/%{name}-%{version}-src.tar.gz
# Source0-md5:	8bd6e750681fc6b2f524b46876dc0887
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-configure.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-sh5.patch
Patch3:		%{name}-amd64.patch
Patch4:		%{name}-typo.patch
Patch5:		%{name}-lib64.patch
Patch6:		%{name}-docbasedir.patch
URL:		http://www.scilab.org/
BuildRequires:	XFree86-devel
BuildRequires:	Xaw3d-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	libgtkhtml-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	libzvt-devel >= 2.0
BuildRequires:	ncurses-devel
BuildRequires:	ocaml
BuildRequires:	sablotron
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	pvm-devel
BuildRequires:	readline-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	vte-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults
%define		_noautocompressdoc *.xml *.xsl *hh? *dtd

%description
Program for scientifical and technical computations, compatible with
Matlab.

%description -l pl
Program do oblicze naukowo-inynierskich, zgodny ze synnym Matlabem.

%description -l pt_BR
Linguagem de alto-nvel para computao numrica.

%package doc
Summary:	Scilab documentation
Summary(pl):	Dokumantacja dla scilab
Group:		Applications/Math
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation and demos for scilab.

%description doc -l pl
Dokumentacja i pliki demo dla scilab.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%if %{_lib} == "lib64"
%patch5 -p1
%endif
%patch6 -p1

head -n 438 aclocal.m4 > acinclude.m4
tail -n 68 aclocal.m4 >>acinclude.m4
sed -e 's@-march=athlon64@@g' -i configure.in
sed -e 's@$PVMROOT/lib/pvmgetarch@%{_bindir}/pvmgetarch@g' -i configure.in

%build
cp -f /usr/share/automake/config.sub config
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--disable-static \
	--enable-shared \
	--with-tcl-library=%{_libdir} \
	--with-tk \
	--with-tk-library=%{_libdir} \
	--with-xawd3d \
	--without-java \
	--with-ocaml \
	--with-pvm \
	--with-pvm-include=%{_includedir} \
	--with-pvm-library=%{_libdir} \
%{?with_gtk2:--with-gtk2}

%{__make} -j1 all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}-%{version}} \
	$RPM_BUILD_ROOT{%{_examplesdir}/scilab,%{_appdefsdir}} \
	$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin \
	$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT \
	X11BASE=$RPM_BUILD_ROOT%{_prefix} \
	SCIDIR=$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version} \
	BSD_INSTALL_DATA=/usr/bin/install

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/{X11_defaults,contrib,demos,macros,man,maple,routines,tcl,.binary,scilab*} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

ln -fs %{_datadir}/%{name}-%{version}/contrib $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/contrib
ln -fs %{_datadir}/%{name}-%{version}/demos $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/demos
ln -fs %{_datadir}/%{name}-%{version}/macros $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/macros
ln -fs %{_docdir}/%{name}-doc-%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/man
ln -fs %{_datadir}/%{name}-%{version}/maple $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/maple
ln -fs %{_datadir}/%{name}-%{version}/routines $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/routines
ln -fs %{_datadir}/%{name}-%{version}/scilab.star $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/scilab.star
ln -fs %{_datadir}/%{name}-%{version}/scilab.quit $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/scilab.quit
ln -fs %{_datadir}/%{name}-%{version}/tcl $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/tcl
ln -fs %{_datadir}/%{name}-%{version}/X11_defaults $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/X11_defaults

# fix links
ln -fs %{_libdir}/%{name}-%{version}/bin/{%{name},intersci,intersci-n} $RPM_BUILD_ROOT%{_bindir}/

find $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin -type f | xargs perl -pi -e "s#$RPM_BUILD_ROOT##g"
perl -pi -e 's#PVM_ROOT=\$SCI/pvm3#PVM_ROOT=%{_libdir}/%{name}-%{version}/pvm3#g' \
	$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin/scilab

find $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/macros -name Makefile\* -exec rm -f {} \;
find $RPM_BUILD_ROOT -name .cvsignore -exec rm -f {} \;
find man -name .cvsignore -exec rm -f {} \;

mv $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/examples/ $RPM_BUILD_ROOT%{_examplesdir}/scilab

#Clean if not packing
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS license.txt README_Unix CHANGES
%lang(fr) %doc licence.txt
%attr(755,root,root) %{_bindir}/scilab
%dir %{_libdir}/%{name}-%{version}
#%%attr(755,root,root) %{_libdir}/%{name}-%{version}/libtool
%dir %{_libdir}/%{name}-%{version}/bin
%dir %{_libdir}/%{name}-%{version}/pvm3
%{_libdir}/%{name}-%{version}/bin/.scicos_pal
%{_libdir}/%{name}-%{version}/bin/Blatdoc
%{_libdir}/%{name}-%{version}/bin/Blatdocs
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/BEpsf
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/Blatexpr*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/Blpr
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/S*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/[a-z]*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/pvm3/*
%{_libdir}/%{name}-%{version}/contrib
%{_libdir}/%{name}-%{version}/imp
%{_libdir}/%{name}-%{version}/macros
%{_libdir}/%{name}-%{version}/man
%{_libdir}/%{name}-%{version}/maple
%{_libdir}/%{name}-%{version}/routines
%{_libdir}/%{name}-%{version}/scilab.quit
%{_libdir}/%{name}-%{version}/scilab.star
%dir %{_libdir}/%{name}-%{version}/tcl
%{_libdir}/%{name}-%{version}/X11_defaults
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/X11_defaults
%{_datadir}/%{name}-%{version}/contrib
%{_datadir}/%{name}-%{version}/demos
%dir %{_datadir}/%{name}-%{version}/macros
%{_datadir}/%{name}-%{version}/macros/[a-z]*
%{_datadir}/%{name}-%{version}/macros/*.c
%{_datadir}/%{name}-%{version}/macros/HighLevelPlotting
%{_datadir}/%{name}-%{version}/maple
%{_datadir}/%{name}-%{version}/routines
%dir %{_datadir}/%{name}-%{version}/tcl
#it's binary file
%attr(755,root,root) %{_datadir}/%{name}-%{version}/tcl/browsehelpexe

%{_datadir}/%{name}-%{version}/tcl/*.*
%{_datadir}/%{name}-%{version}/tcl/Makefile
%{_datadir}/%{name}-%{version}/tcl/ged
%{_datadir}/%{name}-%{version}/tcl/sciGUI
%{_datadir}/%{name}-%{version}/tcl/scipadsources
%{_datadir}/%{name}-%{version}/tcl/utils
# %{_datadir}/%{name}-%{version}/tcl/words
%{_datadir}/%{name}-%{version}/.binary
%{_datadir}/%{name}-%{version}/scilab*
%dir %{_libdir}/%{name}-%{version}/scripts
%attr(755,root,root) %{_libdir}/%{name}-%{version}/scripts/B*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/scripts/sc*
%{_libdir}/%{name}-%{version}/util
%{_desktopdir}/*
%{_pixmapsdir}/%{name}.png

%files doc
%defattr(644,root,root,755)
%lang(fr) %doc man/fr
%doc man/eng man/*.dtd
%{_examplesdir}/scilab
%{_libdir}/%{name}-%{version}/demos
%dir %{_libdir}/%{name}-%{version}/tests
%{_libdir}/%{name}-%{version}/tests/*.sce
%{_libdir}/%{name}-%{version}/tests/*.ref
%{_libdir}/%{name}-%{version}/tests/*.tst
%attr(755,root,root) %{_libdir}/%{name}-%{version}/tests/*.sh
#%%{_libdir}/%{name}-%{version}/config

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scilab.spec,v $
Revision 1.55  2005/11/30 00:25:23  undefine
- scilab-docbasedir.patch by Maciej Witaszek <maciek2w@gmail.com> to use
  correct paths to documentation.
- release 3

Revision 1.54  2005/10/02 20:06:54  qrczak
- http://www-rocq.inria.fr/scilab is no longer the site of Scilab
  software but the site of Scilab development team. URL changed to
  http://www.scilab.org/

Revision 1.53  2005/09/19 13:40:49  glen
- fix patches sequence; rel 2

Revision 1.52  2005/09/19 08:08:48  glen
- %{_libdir} is here (or back)

Revision 1.51  2005/09/17 20:25:22  glen
- rel 1

Revision 1.50  2005/09/17 20:09:05  glen
- BR pvm-devel, make -j1

Revision 1.49  2005/05/31 19:13:24  undefine
- add todo, basicaly works

Revision 1.48  2005/05/31 11:26:49  undefine
- up to 3.1.1

Revision 1.47  2005/05/30 23:09:22  undefine
- starting upgrade to 3.1, doesn't work yet

Revision 1.46  2004/12/17 22:50:10  saq
- %%description unification

Revision 1.45  2004/12/08 17:30:57  kolodko
- fixed link to man (broken help-browser)
- rel 5 STBR

Revision 1.44  2004/11/16 02:06:48  undefine
- segfault on amd64, 2.7 too.. so excludearch. to remove in future when will work ;)
- release 4

Revision 1.43  2004/11/12 16:46:36  kolodko
- added icon

Revision 1.42  2004/11/06 18:01:50  kolodko
- added bcond_without gtk2
- rm .cvsignore
- I am not sure about some files
- rel 3.3

Revision 1.41  2004/11/02 19:07:48  kolodko
- added some files, needs more work
- added subpackage doc
- added TODO (atlas)
- rel 3.2

Revision 1.40  2004/10/30 14:07:23  qboosh
- BR: readline-devel (pointed by Jacek Sobczak)
- some versioned BRs

Revision 1.39  2004/10/28 19:34:09  kolodko
- BR pkgconfig
- majority (or all) of unpacked files are need => rel 3.1

Revision 1.38  2004/10/28 13:49:19  kolodko
- rel 3
- STBR (#5481)

Revision 1.37  2004/10/23 17:19:41  qboosh
- missing dirs (does it fix bug#5481?)

Revision 1.36  2004/08/16 14:34:57  havner
- in fact it does need zvt
- rel 2

Revision 1.35  2004/08/16 14:30:20  havner
- removed libzvt BR
- rel 1 (needs testing)

Revision 1.34  2004/08/01 15:18:29  qboosh
- kill precompiled x86 binaries (fixes build on sparc and probably alpha/ppc)

Revision 1.33  2004/07/30 22:57:48  undefine
- update to 3.0, default build with gtk2, release 0.1, ready to tests

Revision 1.32  2004/07/06 21:25:42  qboosh
- added amd64 patch, now builds; release 6

Revision 1.31  2004/07/05 22:40:06  qboosh
- began amd64 fixes, but configure needs patching

Revision 1.30  2004/07/04 21:48:07  havner
- config.sub

Revision 1.29  2004/07/04 21:06:18  havner
- applnk -> vfolders

Revision 1.28  2004/05/24 17:56:54  adasi
- argh, should go on DEVEL branch

Revision 1.26  2004/02/22 06:18:02  aflinta
- fixed execute permission browserhelpexe, now help browsing is working, release 4

Revision 1.25  2003/12/01 00:24:35  undefine
- release 3 to rebuild with ac

Revision 1.24  2003/09/08 18:17:09  baggins
- xless is no more, updated %%doc

Revision 1.23  2003/09/05 20:22:00  blues
- cosmetics

Revision 1.22  2003/09/05 20:20:16  blues
- release 2

Revision 1.21  2003/08/11 13:30:02  grzegol
- rel. 3 to rebuild with gimp-1.3.18

Revision 1.20  2003/06/16 19:46:20  blues
- changes inpired by kloczek: URL upper-case
- small other changes and cleanups

Revision 1.19  2003/05/28 13:01:45  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:26:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/03/16 19:56:43  adamg
- fixed url.

Revision 1.16  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.15  2002/12/03 12:47:42  roman
- corrected install command for scilab.desktop

Revision 1.14  2002/12/03 12:35:48  roman
- added scilab.desktop to Scientific/Numerics applnk subdir
- changed Release from 2 to 3

Revision 1.13  2002/11/01 02:03:08  undefine
- add url

Revision 1.12  2002/07/28 09:05:38  kloczek
- merge translations from Conectiva.

Revision 1.11  2002/07/23 19:32:59  marcus
- use new %%doc
- rel.2.

Revision 1.10  2002/05/21 23:14:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/15 10:12:38  roman
- moved gzipping docs to %build

Revision 1.8  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.4  2001/08/30 17:41:38  kloczek
- adapterized and few cosmetics.

Revision 1.3  2001/08/30 16:45:19  roman
- updated to 2.6 version

Revision 1.2  2001/03/05 15:34:16  baggins
- cleaned up %%install and %%files

Revision 1.1  2001/03/01 15:55:33  baggins
- initial revision
